/**** NOTE: Replace "test567" with your database name !!! ********/

USE [test567]
GO

/****** Object:  Table [dbo].[Data]    Script Date: 02/14/2011 11:37:25 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[Data](
	[DataID] [int] IDENTITY(1,1) NOT NULL,
	[DirectionID] [int] NOT NULL,
	[PointID] [int] NOT NULL,
	[MeasDate] [decimal](20, 10) NOT NULL,
	[TransDate] [decimal](20, 10) NOT NULL,
	[Sensitivity] [real] NOT NULL,
	[BC] [float] NOT NULL,
	[Unit] [nvarchar](10) NOT NULL,
	[MeasSpeed] [float] NOT NULL,
	[UnitCode] [tinyint] NOT NULL,
	[AverageCode] [tinyint] NOT NULL,
	[BandWidth] [real] NOT NULL,
	[NoLines] [int] NOT NULL,
	[ValuePeakMaxV] [real] NOT NULL,
	[FreqPeakMaxV] [real] NOT NULL,
	[TotalRMSD] [real] NOT NULL,
	[TotalRMSV] [real] NOT NULL,
	[TotalRMSA] [real] NOT NULL,
	[TotalPeakD] [real] NOT NULL,
	[TotalPeakV] [real] NOT NULL,
	[TotalPeakA] [real] NOT NULL,
	[BaseLine] [bit] NOT NULL,
	[DefectCursorType] [int] NOT NULL,
	[FlagLogic] [bit] NOT NULL,
	[FlagByte] [tinyint] NOT NULL,
	[FlagLong] [int] NOT NULL,
	[FlagKey] [nvarchar](255) NOT NULL,
	[Specdata] [image] NULL,
	[SavedSpeed] [real] NOT NULL,
	[XV_BCFreqFilter] [real] NOT NULL,
	[XV_FreqRange] [real] NOT NULL,
	[UserComments] [ntext] NULL,
 CONSTRAINT [PK_Data] PRIMARY KEY NONCLUSTERED 
(
	[DataID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [VmiIndex]
) ON [PRIMARY] TEXTIMAGE_ON [VmiImage]

GO

ALTER TABLE [dbo].[Data]  WITH CHECK ADD  CONSTRAINT [FK_Data_Direction] FOREIGN KEY([DirectionID])
REFERENCES [dbo].[Direction] ([DirectionID])
GO

ALTER TABLE [dbo].[Data] CHECK CONSTRAINT [FK_Data_Direction]
GO

ALTER TABLE [dbo].[Data] ADD  CONSTRAINT [DF_Data_DirectionID]  DEFAULT ((0)) FOR [DirectionID]
GO

ALTER TABLE [dbo].[Data] ADD  CONSTRAINT [DF_Data_PointID]  DEFAULT ((0)) FOR [PointID]
GO

ALTER TABLE [dbo].[Data] ADD  CONSTRAINT [DF_Data_MeasDate]  DEFAULT ((0)) FOR [MeasDate]
GO

ALTER TABLE [dbo].[Data] ADD  CONSTRAINT [DF_Data_TransDate]  DEFAULT ((0)) FOR [TransDate]
GO

ALTER TABLE [dbo].[Data] ADD  CONSTRAINT [DF_Data_Sensitivity]  DEFAULT ((0)) FOR [Sensitivity]
GO

ALTER TABLE [dbo].[Data] ADD  CONSTRAINT [DF_Data_BC]  DEFAULT ((0)) FOR [BC]
GO

ALTER TABLE [dbo].[Data] ADD  CONSTRAINT [DF_Data_Unit]  DEFAULT ((0)) FOR [Unit]
GO

ALTER TABLE [dbo].[Data] ADD  CONSTRAINT [DF_Data_MeasSpeed]  DEFAULT ((0)) FOR [MeasSpeed]
GO

ALTER TABLE [dbo].[Data] ADD  CONSTRAINT [DF_Data_UnitCode]  DEFAULT ((0)) FOR [UnitCode]
GO

ALTER TABLE [dbo].[Data] ADD  CONSTRAINT [DF_Data_AverageCode]  DEFAULT ((0)) FOR [AverageCode]
GO

ALTER TABLE [dbo].[Data] ADD  CONSTRAINT [DF_Data_BandWidth]  DEFAULT ((0)) FOR [BandWidth]
GO

ALTER TABLE [dbo].[Data] ADD  CONSTRAINT [DF_Data_NoLines]  DEFAULT ((0)) FOR [NoLines]
GO

ALTER TABLE [dbo].[Data] ADD  CONSTRAINT [DF_Data_ValuePeakMaxV]  DEFAULT ((0)) FOR [ValuePeakMaxV]
GO

ALTER TABLE [dbo].[Data] ADD  CONSTRAINT [DF_Data_FreqPeakMaxV]  DEFAULT ((0)) FOR [FreqPeakMaxV]
GO

ALTER TABLE [dbo].[Data] ADD  CONSTRAINT [DF_Data_TotalRMSD]  DEFAULT ((0)) FOR [TotalRMSD]
GO

ALTER TABLE [dbo].[Data] ADD  CONSTRAINT [DF_Data_TotalRMSV]  DEFAULT ((0)) FOR [TotalRMSV]
GO

ALTER TABLE [dbo].[Data] ADD  CONSTRAINT [DF_Data_TotalRMSA]  DEFAULT ((0)) FOR [TotalRMSA]
GO

ALTER TABLE [dbo].[Data] ADD  CONSTRAINT [DF_Data_TotalPeakD]  DEFAULT ((0)) FOR [TotalPeakD]
GO

ALTER TABLE [dbo].[Data] ADD  CONSTRAINT [DF_Data_TotalPeakV]  DEFAULT ((0)) FOR [TotalPeakV]
GO

ALTER TABLE [dbo].[Data] ADD  CONSTRAINT [DF_Data_TotalPeakA]  DEFAULT ((0)) FOR [TotalPeakA]
GO

ALTER TABLE [dbo].[Data] ADD  CONSTRAINT [DF_Data_BaseLine]  DEFAULT ((0)) FOR [BaseLine]
GO

ALTER TABLE [dbo].[Data] ADD  CONSTRAINT [DF_Data_DefectCursorType]  DEFAULT ((0)) FOR [DefectCursorType]
GO

ALTER TABLE [dbo].[Data] ADD  CONSTRAINT [DF_Data_FlagLogic]  DEFAULT ((0)) FOR [FlagLogic]
GO

ALTER TABLE [dbo].[Data] ADD  CONSTRAINT [DF_Data_FlagByte]  DEFAULT ((0)) FOR [FlagByte]
GO

ALTER TABLE [dbo].[Data] ADD  CONSTRAINT [DF_Data_FlagLong]  DEFAULT ((0)) FOR [FlagLong]
GO

ALTER TABLE [dbo].[Data] ADD  CONSTRAINT [DF_Data_FlagKey]  DEFAULT ((0)) FOR [FlagKey]
GO

ALTER TABLE [dbo].[Data] ADD  DEFAULT ((0)) FOR [SavedSpeed]
GO

ALTER TABLE [dbo].[Data] ADD  DEFAULT ((500)) FOR [XV_BCFreqFilter]
GO

ALTER TABLE [dbo].[Data] ADD  DEFAULT ((1600)) FOR [XV_FreqRange]
GO

