/**** NOTE: Replace "test567" with your database name !!! ********/
USE [test567]
GO

/****** Object:  Table [dbo].[Direction]    Script Date: 02/14/2011 11:37:40 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[Direction](
	[PointID] [int] NOT NULL,
	[DirectionID] [int] IDENTITY(1,1) NOT NULL,
	[Name] [nvarchar](255) NOT NULL,
	[OverallW] [float] NOT NULL,
	[OverallD] [float] NOT NULL,
	[OverallWg] [float] NOT NULL,
	[OverallDg] [float] NOT NULL,
	[RSampleNos] [tinyint] NOT NULL,
	[RTransdID] [tinyint] NOT NULL,
	[RFmax] [float] NOT NULL,
	[RResolution] [float] NOT NULL,
	[AlarmUnit] [smallint] NOT NULL,
	[AlarmAverage] [float] NOT NULL,
	[RCollectBC] [bit] NOT NULL,
	[RCollectEnv] [bit] NOT NULL,
	[RcollectTime] [bit] NOT NULL,
	[TreeOrder] [int] NOT NULL,
	[NarrowAL1] [real] NOT NULL,
	[NarrowAL2] [real] NOT NULL,
	[NarrowAL3] [real] NOT NULL,
	[NarrowAL4] [real] NOT NULL,
	[NarrowAL5] [real] NOT NULL,
	[NarrowAL6] [real] NOT NULL,
	[FlagLogic] [bit] NOT NULL,
	[FlagByte] [tinyint] NOT NULL,
	[FlagLong] [int] NOT NULL,
	[FlagKey] [nvarchar](255) NOT NULL,
	[FlagAlarm] [tinyint] NOT NULL,
	[Triaxial] [tinyint] NOT NULL,
	[TriaxialNo] [tinyint] NOT NULL,
	[MVDSP_FreqRange] [tinyint] NOT NULL,
	[MVDSP_Resolution] [real] NOT NULL,
	[MVDSP_Transducer] [tinyint] NOT NULL,
	[MVDSP_TransType] [tinyint] NOT NULL,
	[MVDSP_TransSensitivity] [real] NOT NULL,
	[MVDSP_Trans_Power] [tinyint] NOT NULL,
	[MVDSP_SP_HI_PASS] [tinyint] NOT NULL,
	[MVDSP_SP_Sync] [tinyint] NOT NULL,
	[MVDSP_Tacho_Speed] [tinyint] NOT NULL,
	[MVDSP_MeasureRPM] [tinyint] NOT NULL,
	[MVDSP_UnitName] [nvarchar](1) NOT NULL,
	[MVDSP_SP_AverageType] [tinyint] NOT NULL,
	[MVDSP_SP_Window] [tinyint] NOT NULL,
	[MVDSP_Speed_Teeth] [tinyint] NOT NULL,
	[RCollectEnv_FRange] [real] NOT NULL,
 CONSTRAINT [PK_Direction] PRIMARY KEY NONCLUSTERED 
(
	[DirectionID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [VmiIndex]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[Direction]  WITH CHECK ADD  CONSTRAINT [FK_Direction_Point] FOREIGN KEY([PointID])
REFERENCES [dbo].[Point] ([PointID])
GO

ALTER TABLE [dbo].[Direction] CHECK CONSTRAINT [FK_Direction_Point]
GO

ALTER TABLE [dbo].[Direction] ADD  CONSTRAINT [DF_Direction_PointID]  DEFAULT ((0)) FOR [PointID]
GO

ALTER TABLE [dbo].[Direction] ADD  CONSTRAINT [DF_Direction_Name]  DEFAULT ((0)) FOR [Name]
GO

ALTER TABLE [dbo].[Direction] ADD  CONSTRAINT [DF_Direction_OverallW]  DEFAULT ((0)) FOR [OverallW]
GO

ALTER TABLE [dbo].[Direction] ADD  CONSTRAINT [DF_Direction_OverallD]  DEFAULT ((0)) FOR [OverallD]
GO

ALTER TABLE [dbo].[Direction] ADD  CONSTRAINT [DF_Direction_OverallWg]  DEFAULT ((0)) FOR [OverallWg]
GO

ALTER TABLE [dbo].[Direction] ADD  CONSTRAINT [DF_Direction_OverallDg]  DEFAULT ((0)) FOR [OverallDg]
GO

ALTER TABLE [dbo].[Direction] ADD  CONSTRAINT [DF_Direction_RSampleNos]  DEFAULT ((1)) FOR [RSampleNos]
GO

ALTER TABLE [dbo].[Direction] ADD  CONSTRAINT [DF_Direction_RTransdID]  DEFAULT ((1)) FOR [RTransdID]
GO

ALTER TABLE [dbo].[Direction] ADD  CONSTRAINT [DF_Direction_RFmax]  DEFAULT ((2000)) FOR [RFmax]
GO

ALTER TABLE [dbo].[Direction] ADD  CONSTRAINT [DF_Direction_RResolution]  DEFAULT ((0.5)) FOR [RResolution]
GO

ALTER TABLE [dbo].[Direction] ADD  CONSTRAINT [DF_Direction_AlarmUnit]  DEFAULT ((1)) FOR [AlarmUnit]
GO

ALTER TABLE [dbo].[Direction] ADD  CONSTRAINT [DF_Direction_AlarmAverage]  DEFAULT ((50)) FOR [AlarmAverage]
GO

ALTER TABLE [dbo].[Direction] ADD  CONSTRAINT [DF_Direction_RCollectBC]  DEFAULT ((0)) FOR [RCollectBC]
GO

ALTER TABLE [dbo].[Direction] ADD  CONSTRAINT [DF_Direction_RCollectEnv]  DEFAULT ((0)) FOR [RCollectEnv]
GO

ALTER TABLE [dbo].[Direction] ADD  CONSTRAINT [DF_Direction_RcollectTime]  DEFAULT ((0)) FOR [RcollectTime]
GO

ALTER TABLE [dbo].[Direction] ADD  CONSTRAINT [DF_Direction_TreeOrder]  DEFAULT ((2147480000)) FOR [TreeOrder]
GO

ALTER TABLE [dbo].[Direction] ADD  CONSTRAINT [DF_Direction_NarrowAL1]  DEFAULT ((0)) FOR [NarrowAL1]
GO

ALTER TABLE [dbo].[Direction] ADD  CONSTRAINT [DF_Direction_NarrowAL2]  DEFAULT ((0)) FOR [NarrowAL2]
GO

ALTER TABLE [dbo].[Direction] ADD  CONSTRAINT [DF_Direction_NarrowAL3]  DEFAULT ((0)) FOR [NarrowAL3]
GO

ALTER TABLE [dbo].[Direction] ADD  CONSTRAINT [DF_Direction_NarrowAL4]  DEFAULT ((0)) FOR [NarrowAL4]
GO

ALTER TABLE [dbo].[Direction] ADD  CONSTRAINT [DF_Direction_NarrowAL5]  DEFAULT ((0)) FOR [NarrowAL5]
GO

ALTER TABLE [dbo].[Direction] ADD  CONSTRAINT [DF_Direction_NarrowAL6]  DEFAULT ((0)) FOR [NarrowAL6]
GO

ALTER TABLE [dbo].[Direction] ADD  CONSTRAINT [DF_Direction_FlagLogic]  DEFAULT ((0)) FOR [FlagLogic]
GO

ALTER TABLE [dbo].[Direction] ADD  CONSTRAINT [DF_Direction_FlagByte]  DEFAULT ((0)) FOR [FlagByte]
GO

ALTER TABLE [dbo].[Direction] ADD  CONSTRAINT [DF_Direction_FlagLong]  DEFAULT ((0)) FOR [FlagLong]
GO

ALTER TABLE [dbo].[Direction] ADD  CONSTRAINT [DF_Direction_FlagKey]  DEFAULT ((0)) FOR [FlagKey]
GO

ALTER TABLE [dbo].[Direction] ADD  DEFAULT ((0)) FOR [FlagAlarm]
GO

ALTER TABLE [dbo].[Direction] ADD  DEFAULT ((0)) FOR [Triaxial]
GO

ALTER TABLE [dbo].[Direction] ADD  DEFAULT ((0)) FOR [TriaxialNo]
GO

ALTER TABLE [dbo].[Direction] ADD  DEFAULT ((0)) FOR [MVDSP_FreqRange]
GO

ALTER TABLE [dbo].[Direction] ADD  DEFAULT ((1.0)) FOR [MVDSP_Resolution]
GO

ALTER TABLE [dbo].[Direction] ADD  DEFAULT ((0)) FOR [MVDSP_Transducer]
GO

ALTER TABLE [dbo].[Direction] ADD  DEFAULT ((0)) FOR [MVDSP_TransType]
GO

ALTER TABLE [dbo].[Direction] ADD  DEFAULT ((100.0)) FOR [MVDSP_TransSensitivity]
GO

ALTER TABLE [dbo].[Direction] ADD  DEFAULT ((0)) FOR [MVDSP_Trans_Power]
GO

ALTER TABLE [dbo].[Direction] ADD  DEFAULT ((0)) FOR [MVDSP_SP_HI_PASS]
GO

ALTER TABLE [dbo].[Direction] ADD  DEFAULT ((0)) FOR [MVDSP_SP_Sync]
GO

ALTER TABLE [dbo].[Direction] ADD  DEFAULT ((4)) FOR [MVDSP_Tacho_Speed]
GO

ALTER TABLE [dbo].[Direction] ADD  DEFAULT ((0)) FOR [MVDSP_MeasureRPM]
GO

ALTER TABLE [dbo].[Direction] ADD  DEFAULT ((0)) FOR [MVDSP_UnitName]
GO

ALTER TABLE [dbo].[Direction] ADD  DEFAULT ((0)) FOR [MVDSP_SP_AverageType]
GO

ALTER TABLE [dbo].[Direction] ADD  DEFAULT ((0)) FOR [MVDSP_SP_Window]
GO

ALTER TABLE [dbo].[Direction] ADD  DEFAULT ((1)) FOR [MVDSP_Speed_Teeth]
GO

ALTER TABLE [dbo].[Direction] ADD  DEFAULT ((255)) FOR [RCollectEnv_FRange]
GO

