/**** NOTE: Replace "test567" with your database name !!! ********/
USE [test567]
GO

/****** Object:  Table [dbo].[EnvelopeData]    Script Date: 02/14/2011 11:37:56 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[EnvelopeData](
	[DataID] [int] IDENTITY(1,1) NOT NULL,
	[DirectionID] [int] NOT NULL,
	[PointID] [int] NOT NULL,
	[MeasDate] [decimal](20, 10) NOT NULL,
	[TransDate] [decimal](20, 10) NOT NULL,
	[Sensitivity] [real] NOT NULL,
	[BC] [float] NOT NULL,
	[Unit] [nvarchar](10) NOT NULL,
	[MeasSpeed] [float] NOT NULL,
	[UnitCode] [tinyint] NOT NULL,
	[AverageCode] [tinyint] NOT NULL,
	[BandWidth] [real] NOT NULL,
	[NoLines] [int] NOT NULL,
	[ValuePeakMaxV] [real] NOT NULL,
	[FreqPeakMaxV] [real] NOT NULL,
	[TotalRMSD] [real] NOT NULL,
	[TotalRMSV] [real] NOT NULL,
	[TotalRMSA] [real] NOT NULL,
	[TotalPeakD] [real] NOT NULL,
	[TotalPeakV] [real] NOT NULL,
	[TotalPeakA] [real] NOT NULL,
	[BaseLine] [bit] NOT NULL,
	[DefectCursorType] [int] NOT NULL,
	[FlagLogic] [bit] NOT NULL,
	[FlagByte] [tinyint] NOT NULL,
	[FlagLong] [int] NOT NULL,
	[FlagKey] [nvarchar](255) NOT NULL,
	[EnvelopeData] [image] NULL,
	[UserComments] [ntext] NULL,
	[SavedSpeed] [real] NOT NULL,
 CONSTRAINT [PK_EnvelopeData] PRIMARY KEY NONCLUSTERED 
(
	[DataID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [VmiIndex]
) ON [PRIMARY] TEXTIMAGE_ON [VmiImage]

GO

ALTER TABLE [dbo].[EnvelopeData]  WITH CHECK ADD  CONSTRAINT [FK_EnvelopeData_Direction] FOREIGN KEY([DirectionID])
REFERENCES [dbo].[Direction] ([DirectionID])
GO

ALTER TABLE [dbo].[EnvelopeData] CHECK CONSTRAINT [FK_EnvelopeData_Direction]
GO

ALTER TABLE [dbo].[EnvelopeData] ADD  CONSTRAINT [DF_EnvelopeData_DirectionID]  DEFAULT ((0)) FOR [DirectionID]
GO

ALTER TABLE [dbo].[EnvelopeData] ADD  CONSTRAINT [DF_EnvelopeData_PointID]  DEFAULT ((0)) FOR [PointID]
GO

ALTER TABLE [dbo].[EnvelopeData] ADD  CONSTRAINT [DF_EnvelopeData_MeasDate]  DEFAULT ((0)) FOR [MeasDate]
GO

ALTER TABLE [dbo].[EnvelopeData] ADD  CONSTRAINT [DF_EnvelopeData_TransDate]  DEFAULT ((0)) FOR [TransDate]
GO

ALTER TABLE [dbo].[EnvelopeData] ADD  CONSTRAINT [DF_EnvelopeData_Sensitivity]  DEFAULT ((0)) FOR [Sensitivity]
GO

ALTER TABLE [dbo].[EnvelopeData] ADD  CONSTRAINT [DF_EnvelopeData_BC]  DEFAULT ((0)) FOR [BC]
GO

ALTER TABLE [dbo].[EnvelopeData] ADD  CONSTRAINT [DF_EnvelopeData_Unit]  DEFAULT ((0)) FOR [Unit]
GO

ALTER TABLE [dbo].[EnvelopeData] ADD  CONSTRAINT [DF_EnvelopeData_MeasSpeed]  DEFAULT ((0)) FOR [MeasSpeed]
GO

ALTER TABLE [dbo].[EnvelopeData] ADD  CONSTRAINT [DF_EnvelopeData_UnitCode]  DEFAULT ((0)) FOR [UnitCode]
GO

ALTER TABLE [dbo].[EnvelopeData] ADD  CONSTRAINT [DF_EnvelopeData_AverageCode]  DEFAULT ((0)) FOR [AverageCode]
GO

ALTER TABLE [dbo].[EnvelopeData] ADD  CONSTRAINT [DF_EnvelopeData_BandWidth]  DEFAULT ((0)) FOR [BandWidth]
GO

ALTER TABLE [dbo].[EnvelopeData] ADD  CONSTRAINT [DF_EnvelopeData_NoLines]  DEFAULT ((0)) FOR [NoLines]
GO

ALTER TABLE [dbo].[EnvelopeData] ADD  CONSTRAINT [DF_EnvelopeData_ValuePeakMaxV]  DEFAULT ((0)) FOR [ValuePeakMaxV]
GO

ALTER TABLE [dbo].[EnvelopeData] ADD  CONSTRAINT [DF_EnvelopeData_FreqPeakMaxV]  DEFAULT ((0)) FOR [FreqPeakMaxV]
GO

ALTER TABLE [dbo].[EnvelopeData] ADD  CONSTRAINT [DF_EnvelopeData_TotalRMSD]  DEFAULT ((0)) FOR [TotalRMSD]
GO

ALTER TABLE [dbo].[EnvelopeData] ADD  CONSTRAINT [DF_EnvelopeData_TotalRMSV]  DEFAULT ((0)) FOR [TotalRMSV]
GO

ALTER TABLE [dbo].[EnvelopeData] ADD  CONSTRAINT [DF_EnvelopeData_TotalRMSA]  DEFAULT ((0)) FOR [TotalRMSA]
GO

ALTER TABLE [dbo].[EnvelopeData] ADD  CONSTRAINT [DF_EnvelopeData_TotalPeakD]  DEFAULT ((0)) FOR [TotalPeakD]
GO

ALTER TABLE [dbo].[EnvelopeData] ADD  CONSTRAINT [DF_EnvelopeData_TotalPeakV]  DEFAULT ((0)) FOR [TotalPeakV]
GO

ALTER TABLE [dbo].[EnvelopeData] ADD  CONSTRAINT [DF_EnvelopeData_TotalPeakA]  DEFAULT ((0)) FOR [TotalPeakA]
GO

ALTER TABLE [dbo].[EnvelopeData] ADD  CONSTRAINT [DF_EnvelopeData_BaseLine]  DEFAULT ((0)) FOR [BaseLine]
GO

ALTER TABLE [dbo].[EnvelopeData] ADD  CONSTRAINT [DF_EnvelopeData_DefectCursorType]  DEFAULT ((0)) FOR [DefectCursorType]
GO

ALTER TABLE [dbo].[EnvelopeData] ADD  CONSTRAINT [DF_EnvelopeData_FlagLogic]  DEFAULT ((0)) FOR [FlagLogic]
GO

ALTER TABLE [dbo].[EnvelopeData] ADD  CONSTRAINT [DF_EnvelopeData_FlagByte]  DEFAULT ((0)) FOR [FlagByte]
GO

ALTER TABLE [dbo].[EnvelopeData] ADD  CONSTRAINT [DF_EnvelopeData_FlagLong]  DEFAULT ((0)) FOR [FlagLong]
GO

ALTER TABLE [dbo].[EnvelopeData] ADD  CONSTRAINT [DF_EnvelopeData_FlagKey]  DEFAULT ((0)) FOR [FlagKey]
GO

ALTER TABLE [dbo].[EnvelopeData] ADD  DEFAULT ((0)) FOR [SavedSpeed]
GO

