/**** NOTE: Replace "test567" with your database name !!! ********/
USE [test567]
GO

/****** Object:  Table [dbo].[GMachine]    Script Date: 02/14/2011 11:38:24 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[GMachine](
	[GMID] [int] IDENTITY(1,1) NOT NULL,
	[GPID] [int] NOT NULL,
	[MachineID] [int] NOT NULL,
	[GMName] [nvarchar](255) NOT NULL,
	[GMComents] [nvarchar](255) NOT NULL,
	[GMLineX1] [real] NOT NULL,
	[GMLinex2] [real] NOT NULL,
	[GMLineY1] [real] NOT NULL,
	[GMLineY2] [real] NOT NULL,
	[GMLabelTop] [real] NOT NULL,
	[GMLabelLeft] [real] NOT NULL,
	[GMBackStyle] [tinyint] NOT NULL,
	[GMBackColor] [int] NOT NULL,
	[GMSpText] [nvarchar](255) NOT NULL,
	[GMSpLong] [int] NOT NULL,
	[GMSpBoolean] [bit] NOT NULL,
	[GDLineColor] [int] NOT NULL,
	[GDLabelSize] [int] NOT NULL,
	[GDIsLine] [bit] NOT NULL,
	[GMPicture] [image] NULL,
 CONSTRAINT [PK_GMachine] PRIMARY KEY NONCLUSTERED 
(
	[GMID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [VmiIndex]
) ON [PRIMARY] TEXTIMAGE_ON [VmiImage]

GO

ALTER TABLE [dbo].[GMachine]  WITH CHECK ADD  CONSTRAINT [FK_GMachine_GPlant] FOREIGN KEY([GPID])
REFERENCES [dbo].[GPlant] ([GPID])
GO

ALTER TABLE [dbo].[GMachine] CHECK CONSTRAINT [FK_GMachine_GPlant]
GO

ALTER TABLE [dbo].[GMachine]  WITH CHECK ADD  CONSTRAINT [FK_GMachine_Machine] FOREIGN KEY([MachineID])
REFERENCES [dbo].[Machine] ([MachineID])
GO

ALTER TABLE [dbo].[GMachine] CHECK CONSTRAINT [FK_GMachine_Machine]
GO

ALTER TABLE [dbo].[GMachine] ADD  CONSTRAINT [DF_GMachine_GPID]  DEFAULT ((0)) FOR [GPID]
GO

ALTER TABLE [dbo].[GMachine] ADD  CONSTRAINT [DF_GMachine_MachineID]  DEFAULT ((0)) FOR [MachineID]
GO

ALTER TABLE [dbo].[GMachine] ADD  CONSTRAINT [DF_GMachine_GMName]  DEFAULT ((0)) FOR [GMName]
GO

ALTER TABLE [dbo].[GMachine] ADD  CONSTRAINT [DF_GMachine_GMComents]  DEFAULT ((0)) FOR [GMComents]
GO

ALTER TABLE [dbo].[GMachine] ADD  CONSTRAINT [DF_GMachine_GMLineX1]  DEFAULT ((0)) FOR [GMLineX1]
GO

ALTER TABLE [dbo].[GMachine] ADD  CONSTRAINT [DF_GMachine_GMLinex2]  DEFAULT ((0)) FOR [GMLinex2]
GO

ALTER TABLE [dbo].[GMachine] ADD  CONSTRAINT [DF_GMachine_GMLineY1]  DEFAULT ((0)) FOR [GMLineY1]
GO

ALTER TABLE [dbo].[GMachine] ADD  CONSTRAINT [DF_GMachine_GMLineY2]  DEFAULT ((0)) FOR [GMLineY2]
GO

ALTER TABLE [dbo].[GMachine] ADD  CONSTRAINT [DF_GMachine_GMLabelTop]  DEFAULT ((0)) FOR [GMLabelTop]
GO

ALTER TABLE [dbo].[GMachine] ADD  CONSTRAINT [DF_GMachine_GMLabelLeft]  DEFAULT ((0)) FOR [GMLabelLeft]
GO

ALTER TABLE [dbo].[GMachine] ADD  CONSTRAINT [DF_GMachine_GMBackStyle]  DEFAULT ((0)) FOR [GMBackStyle]
GO

ALTER TABLE [dbo].[GMachine] ADD  CONSTRAINT [DF_GMachine_GMBackColor]  DEFAULT ((0)) FOR [GMBackColor]
GO

ALTER TABLE [dbo].[GMachine] ADD  CONSTRAINT [DF_GMachine_GMSpText]  DEFAULT ((0)) FOR [GMSpText]
GO

ALTER TABLE [dbo].[GMachine] ADD  CONSTRAINT [DF_GMachine_GMSpLong]  DEFAULT ((0)) FOR [GMSpLong]
GO

ALTER TABLE [dbo].[GMachine] ADD  CONSTRAINT [DF_GMachine_GMSpBoolean]  DEFAULT ((0)) FOR [GMSpBoolean]
GO

ALTER TABLE [dbo].[GMachine] ADD  CONSTRAINT [DF_GMachine_GDLineColor]  DEFAULT ((0)) FOR [GDLineColor]
GO

ALTER TABLE [dbo].[GMachine] ADD  CONSTRAINT [DF_GMachine_GDLabelSize]  DEFAULT ((0)) FOR [GDLabelSize]
GO

ALTER TABLE [dbo].[GMachine] ADD  CONSTRAINT [DF_GMachine_GDIsLine]  DEFAULT ((0)) FOR [GDIsLine]
GO

