/**** NOTE: Replace "test567" with your database name !!! ********/
USE [test567]
GO

/****** Object:  Table [dbo].[GPlant]    Script Date: 02/14/2011 11:38:50 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[GPlant](
	[GPID] [int] IDENTITY(1,1) NOT NULL,
	[GGID] [int] NOT NULL,
	[PlantID] [int] NOT NULL,
	[GPName] [nvarchar](255) NOT NULL,
	[GPComents] [nvarchar](255) NOT NULL,
	[GPLineX1] [real] NOT NULL,
	[GPLinex2] [real] NOT NULL,
	[GPLineY1] [real] NOT NULL,
	[GPLineY2] [real] NOT NULL,
	[GPLabelTop] [real] NOT NULL,
	[GPLabelLeft] [real] NOT NULL,
	[GPBackStyle] [tinyint] NOT NULL,
	[GPBackColor] [int] NOT NULL,
	[GPSpText] [nvarchar](255) NOT NULL,
	[GPSpLong] [int] NOT NULL,
	[GPSpBoolean] [bit] NOT NULL,
	[GMLineColor] [int] NOT NULL,
	[GMLabelSize] [int] NOT NULL,
	[GMIsLine] [bit] NOT NULL,
	[GPPicture] [image] NULL,
 CONSTRAINT [PK_GPlant] PRIMARY KEY NONCLUSTERED 
(
	[GPID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [VmiIndex]
) ON [PRIMARY] TEXTIMAGE_ON [VmiImage]

GO

ALTER TABLE [dbo].[GPlant]  WITH CHECK ADD  CONSTRAINT [FK_GPlant_GraphDatabase] FOREIGN KEY([GGID])
REFERENCES [dbo].[GraphDatabase] ([GGID])
GO

ALTER TABLE [dbo].[GPlant] CHECK CONSTRAINT [FK_GPlant_GraphDatabase]
GO

ALTER TABLE [dbo].[GPlant]  WITH CHECK ADD  CONSTRAINT [FK_GPlant_Plant] FOREIGN KEY([PlantID])
REFERENCES [dbo].[Plant] ([PlantID])
GO

ALTER TABLE [dbo].[GPlant] CHECK CONSTRAINT [FK_GPlant_Plant]
GO

ALTER TABLE [dbo].[GPlant] ADD  CONSTRAINT [DF_GPlant_GGID]  DEFAULT ((0)) FOR [GGID]
GO

ALTER TABLE [dbo].[GPlant] ADD  CONSTRAINT [DF_GPlant_PlantID]  DEFAULT ((0)) FOR [PlantID]
GO

ALTER TABLE [dbo].[GPlant] ADD  CONSTRAINT [DF_GPlant_GPName]  DEFAULT ((0)) FOR [GPName]
GO

ALTER TABLE [dbo].[GPlant] ADD  CONSTRAINT [DF_GPlant_GPComents]  DEFAULT ((0)) FOR [GPComents]
GO

ALTER TABLE [dbo].[GPlant] ADD  CONSTRAINT [DF_GPlant_GPLineX1]  DEFAULT ((0)) FOR [GPLineX1]
GO

ALTER TABLE [dbo].[GPlant] ADD  CONSTRAINT [DF_GPlant_GPLinex2]  DEFAULT ((0)) FOR [GPLinex2]
GO

ALTER TABLE [dbo].[GPlant] ADD  CONSTRAINT [DF_GPlant_GPLineY1]  DEFAULT ((0)) FOR [GPLineY1]
GO

ALTER TABLE [dbo].[GPlant] ADD  CONSTRAINT [DF_GPlant_GPLineY2]  DEFAULT ((0)) FOR [GPLineY2]
GO

ALTER TABLE [dbo].[GPlant] ADD  CONSTRAINT [DF_GPlant_GPLabelTop]  DEFAULT ((0)) FOR [GPLabelTop]
GO

ALTER TABLE [dbo].[GPlant] ADD  CONSTRAINT [DF_GPlant_GPLabelLeft]  DEFAULT ((0)) FOR [GPLabelLeft]
GO

ALTER TABLE [dbo].[GPlant] ADD  CONSTRAINT [DF_GPlant_GPBackStyle]  DEFAULT ((0)) FOR [GPBackStyle]
GO

ALTER TABLE [dbo].[GPlant] ADD  CONSTRAINT [DF_GPlant_GPBackColor]  DEFAULT ((0)) FOR [GPBackColor]
GO

ALTER TABLE [dbo].[GPlant] ADD  CONSTRAINT [DF_GPlant_GPSpText]  DEFAULT ((0)) FOR [GPSpText]
GO

ALTER TABLE [dbo].[GPlant] ADD  CONSTRAINT [DF_GPlant_GPSpLong]  DEFAULT ((0)) FOR [GPSpLong]
GO

ALTER TABLE [dbo].[GPlant] ADD  CONSTRAINT [DF_GPlant_GPSpBoolean]  DEFAULT ((0)) FOR [GPSpBoolean]
GO

ALTER TABLE [dbo].[GPlant] ADD  CONSTRAINT [DF_GPlant_GMLineColor]  DEFAULT ((0)) FOR [GMLineColor]
GO

ALTER TABLE [dbo].[GPlant] ADD  CONSTRAINT [DF_GPlant_GMLabelSize]  DEFAULT ((0)) FOR [GMLabelSize]
GO

ALTER TABLE [dbo].[GPlant] ADD  CONSTRAINT [DF_GPlant_GMIsLine]  DEFAULT ((0)) FOR [GMIsLine]
GO

