/**** NOTE: Replace "test567" with your database name !!! ********/
USE [test567]
GO

/****** Object:  Table [dbo].[MEData]    Script Date: 02/14/2011 11:40:02 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[MEData](
	[DataID] [int] IDENTITY(1,1) NOT NULL,
	[PointID] [int] NOT NULL,
	[MeasDate] [decimal](20, 10) NOT NULL,
	[TransDate] [decimal](20, 10) NOT NULL,
	[MEValue] [real] NOT NULL,
	[BaseLine] [bit] NOT NULL,
	[FlagLogic] [bit] NOT NULL,
	[FlagByte] [tinyint] NOT NULL,
	[FlagLong] [int] NOT NULL,
	[FlagKey] [nvarchar](255) NOT NULL,
 CONSTRAINT [PK_MEData] PRIMARY KEY NONCLUSTERED 
(
	[DataID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [VmiIndex]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[MEData]  WITH CHECK ADD  CONSTRAINT [FK_Data_Point] FOREIGN KEY([PointID])
REFERENCES [dbo].[Point] ([PointID])
GO

ALTER TABLE [dbo].[MEData] CHECK CONSTRAINT [FK_Data_Point]
GO

ALTER TABLE [dbo].[MEData] ADD  CONSTRAINT [DF_MEData_PointID]  DEFAULT ((0)) FOR [PointID]
GO

ALTER TABLE [dbo].[MEData] ADD  CONSTRAINT [DF_MEData_MeasDate]  DEFAULT ((0)) FOR [MeasDate]
GO

ALTER TABLE [dbo].[MEData] ADD  CONSTRAINT [DF_MEData_TransDate]  DEFAULT ((0)) FOR [TransDate]
GO

ALTER TABLE [dbo].[MEData] ADD  CONSTRAINT [DF_MEData_TotalRMSD]  DEFAULT ((0)) FOR [MEValue]
GO

ALTER TABLE [dbo].[MEData] ADD  CONSTRAINT [DF_MEData_BaseLine]  DEFAULT ((0)) FOR [BaseLine]
GO

ALTER TABLE [dbo].[MEData] ADD  CONSTRAINT [DF_MEData_FlagLogic]  DEFAULT ((0)) FOR [FlagLogic]
GO

ALTER TABLE [dbo].[MEData] ADD  CONSTRAINT [DF_MEData_FlagByte]  DEFAULT ((0)) FOR [FlagByte]
GO

ALTER TABLE [dbo].[MEData] ADD  CONSTRAINT [DF_MEData_FlagLong]  DEFAULT ((0)) FOR [FlagLong]
GO

ALTER TABLE [dbo].[MEData] ADD  CONSTRAINT [DF_MEData_FlagKey]  DEFAULT ((0)) FOR [FlagKey]
GO

