/**** NOTE: Replace "test567" with your database name !!! ********/
USE [test567]
GO

/****** Object:  Table [dbo].[Machine]    Script Date: 02/14/2011 11:39:51 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[Machine](
	[PlantID] [int] NOT NULL,
	[MachineID] [int] IDENTITY(1,1) NOT NULL,
	[Name] [nvarchar](255) NOT NULL,
	[LblRPM] [nvarchar](12) NOT NULL,
	[ValueRPM] [float] NOT NULL,
	[LblRPMs] [nvarchar](12) NOT NULL,
	[ValueRPMs] [float] NOT NULL,
	[MachSpeedRef] [smallint] NOT NULL,
	[RefSpeedMult1] [smallint] NOT NULL,
	[MultCoef1] [float] NOT NULL,
	[LblMult1] [nvarchar](12) NOT NULL,
	[RefSpeedMult2] [smallint] NOT NULL,
	[MultCoef2] [float] NOT NULL,
	[LblMult2] [nvarchar](12) NOT NULL,
	[RefSpeedMult3] [smallint] NOT NULL,
	[MultCoef3] [float] NOT NULL,
	[LblMult3] [nvarchar](12) NOT NULL,
	[RefSpeedMult4] [smallint] NOT NULL,
	[MultCoef4] [float] NOT NULL,
	[LblMult4] [nvarchar](12) NOT NULL,
	[RefSpeedMult5] [smallint] NOT NULL,
	[MultCoef5] [float] NOT NULL,
	[LblMult5] [nvarchar](12) NOT NULL,
	[ValueLF] [float] NOT NULL,
	[LblLF] [nvarchar](12) NOT NULL,
	[NosOfPole] [smallint] NOT NULL,
	[LblPPFreq] [nvarchar](12) NOT NULL,
	[NosOfBars] [smallint] NOT NULL,
	[LblRBPFreq] [nvarchar](12) NOT NULL,
	[BeltInCoef] [smallint] NOT NULL,
	[DriverDia] [float] NOT NULL,
	[BeltLen] [float] NOT NULL,
	[LblDriverDefFreq] [nvarchar](12) NOT NULL,
	[Note] [nvarchar](255) NOT NULL,
	[TreeOrder] [int] NOT NULL,
	[FlagLogic] [bit] NOT NULL,
	[FlagByte] [tinyint] NOT NULL,
	[FlagLong] [int] NOT NULL,
	[FlagKey] [nvarchar](255) NOT NULL,
	[MachPicture] [image] NULL,
	[FlagAlarm] [tinyint] NOT NULL,
 CONSTRAINT [PK_Machine] PRIMARY KEY NONCLUSTERED 
(
	[MachineID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [VmiIndex]
) ON [PRIMARY] TEXTIMAGE_ON [VmiImage]

GO

ALTER TABLE [dbo].[Machine]  WITH CHECK ADD  CONSTRAINT [FK_Machine_Plant] FOREIGN KEY([PlantID])
REFERENCES [dbo].[Plant] ([PlantID])
GO

ALTER TABLE [dbo].[Machine] CHECK CONSTRAINT [FK_Machine_Plant]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_PlantID]  DEFAULT ((0)) FOR [PlantID]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_Name]  DEFAULT ((0)) FOR [Name]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_LblRPM]  DEFAULT ('RPM') FOR [LblRPM]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_ValueRPM]  DEFAULT ((50)) FOR [ValueRPM]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_LblRPMs]  DEFAULT ('RPMs') FOR [LblRPMs]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_ValueRPMs]  DEFAULT ((1)) FOR [ValueRPMs]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_MachSpeedRef]  DEFAULT ((2)) FOR [MachSpeedRef]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_RefSpeedMult1]  DEFAULT ((0)) FOR [RefSpeedMult1]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_MultCoef1]  DEFAULT ((1)) FOR [MultCoef1]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_LblMult1]  DEFAULT ('Multiply1') FOR [LblMult1]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_RefSpeedMult2]  DEFAULT ((0)) FOR [RefSpeedMult2]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_MultCoef2]  DEFAULT ((1)) FOR [MultCoef2]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_LblMult2]  DEFAULT ('Multiply2') FOR [LblMult2]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_RefSpeedMult3]  DEFAULT ((0)) FOR [RefSpeedMult3]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_MultCoef3]  DEFAULT ((1)) FOR [MultCoef3]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_LblMult3]  DEFAULT ('Multiply3') FOR [LblMult3]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_RefSpeedMult4]  DEFAULT ((0)) FOR [RefSpeedMult4]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_MultCoef4]  DEFAULT ((1)) FOR [MultCoef4]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_LblMult4]  DEFAULT ('Multiply4') FOR [LblMult4]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_RefSpeedMult5]  DEFAULT ((0)) FOR [RefSpeedMult5]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_MultCoef5]  DEFAULT ((1)) FOR [MultCoef5]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_LblMult5]  DEFAULT ('Multiply5') FOR [LblMult5]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_ValueLF]  DEFAULT ((50)) FOR [ValueLF]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_LblLF]  DEFAULT ('LineFreq') FOR [LblLF]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_NosOfPole]  DEFAULT ((1)) FOR [NosOfPole]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_LblPPFreq]  DEFAULT ('PP') FOR [LblPPFreq]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_NosOfBars]  DEFAULT ((1)) FOR [NosOfBars]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_LblRBPFreq]  DEFAULT ('RBP') FOR [LblRBPFreq]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_BeltInCoef]  DEFAULT ((2)) FOR [BeltInCoef]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_DriverDia]  DEFAULT ((10)) FOR [DriverDia]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_BeltLen]  DEFAULT ((100)) FOR [BeltLen]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_LblDriverDefFreq]  DEFAULT ('BF') FOR [LblDriverDefFreq]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_Note]  DEFAULT (' ') FOR [Note]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_TreeOrder]  DEFAULT ((2147480000)) FOR [TreeOrder]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_FlagLogic]  DEFAULT ((0)) FOR [FlagLogic]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_FlagByte]  DEFAULT ((0)) FOR [FlagByte]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_FlagLong]  DEFAULT ((0)) FOR [FlagLong]
GO

ALTER TABLE [dbo].[Machine] ADD  CONSTRAINT [DF_Machine_FlagKey]  DEFAULT ((0)) FOR [FlagKey]
GO

ALTER TABLE [dbo].[Machine] ADD  DEFAULT ((0)) FOR [FlagAlarm]
GO

