/**** NOTE: Replace "test567" with your database name !!! ********/
USE [test567]
GO

/****** Object:  Table [dbo].[NotePad]    Script Date: 02/14/2011 11:40:29 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[NotePad](
	[MachineID] [int] NOT NULL,
	[NoteDate] [decimal](20, 10) NOT NULL,
	[FlagLogic] [bit] NOT NULL,
	[FlagLong] [int] NOT NULL,
	[FlagByte] [tinyint] NOT NULL,
	[Notes] [ntext] NULL,
	[BalancingData] [image] NULL,
	[IsBalancing] [tinyint] NOT NULL,
 CONSTRAINT [PK_NotePad] PRIMARY KEY NONCLUSTERED 
(
	[MachineID] ASC,
	[NoteDate] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [VmiIndex]
) ON [PRIMARY] TEXTIMAGE_ON [VmiImage]

GO

ALTER TABLE [dbo].[NotePad]  WITH CHECK ADD  CONSTRAINT [FK_NotePad_Machine] FOREIGN KEY([MachineID])
REFERENCES [dbo].[Machine] ([MachineID])
GO

ALTER TABLE [dbo].[NotePad] CHECK CONSTRAINT [FK_NotePad_Machine]
GO

ALTER TABLE [dbo].[NotePad] ADD  CONSTRAINT [DF_NotePad_MachineID]  DEFAULT ((0)) FOR [MachineID]
GO

ALTER TABLE [dbo].[NotePad] ADD  CONSTRAINT [DF_NotePad_NoteDate]  DEFAULT ((0)) FOR [NoteDate]
GO

ALTER TABLE [dbo].[NotePad] ADD  CONSTRAINT [DF_NotePad_FlagLogic]  DEFAULT ((0)) FOR [FlagLogic]
GO

ALTER TABLE [dbo].[NotePad] ADD  CONSTRAINT [DF_NotePad_FlagLong]  DEFAULT ((0)) FOR [FlagLong]
GO

ALTER TABLE [dbo].[NotePad] ADD  CONSTRAINT [DF_NotePad_FlagByte]  DEFAULT ((0)) FOR [FlagByte]
GO

ALTER TABLE [dbo].[NotePad] ADD  DEFAULT ((0)) FOR [IsBalancing]
GO

