/**** NOTE: Replace "test567" with your database name !!! ********/
USE [test567]
GO

/****** Object:  Table [dbo].[Point]    Script Date: 02/14/2011 11:40:50 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[Point](
	[PointID] [int] IDENTITY(1,1) NOT NULL,
	[MachineID] [int] NOT NULL,
	[Name] [nvarchar](255) NOT NULL,
	[lblPointSpeed] [nvarchar](50) NOT NULL,
	[Z1] [real] NOT NULL,
	[LBLZ1] [nvarchar](25) NOT NULL,
	[Z2ID] [int] NOT NULL,
	[PointSpeedCoef] [real] NOT NULL,
	[PointSpeedRef] [smallint] NOT NULL,
	[BearProducer1] [nvarchar](25) NOT NULL,
	[BearType1] [nvarchar](25) NOT NULL,
	[BearInner1] [bit] NOT NULL,
	[CoefFTF1] [float] NOT NULL,
	[CoefBSF1] [float] NOT NULL,
	[CoefBPFO1] [float] NOT NULL,
	[CoefBPFI1] [float] NOT NULL,
	[BearProducer2] [nvarchar](25) NOT NULL,
	[BearType2] [nvarchar](25) NOT NULL,
	[BearInner2] [bit] NOT NULL,
	[CoefFTF2] [float] NOT NULL,
	[CoefBSF2] [float] NOT NULL,
	[CoefBPFO2] [float] NOT NULL,
	[CoefBPFI2] [float] NOT NULL,
	[BearProducer3] [nvarchar](25) NOT NULL,
	[BearType3] [nvarchar](25) NOT NULL,
	[BearInner3] [bit] NOT NULL,
	[CoefFTF3] [float] NOT NULL,
	[CoefBSF3] [float] NOT NULL,
	[CoefBPFO3] [float] NOT NULL,
	[CoefBPFI3] [float] NOT NULL,
	[BearProducer4] [nvarchar](25) NOT NULL,
	[BearType4] [nvarchar](25) NOT NULL,
	[BearInner4] [bit] NOT NULL,
	[CoefFTF4] [float] NOT NULL,
	[CoefBSF4] [float] NOT NULL,
	[CoefBPFO4] [float] NOT NULL,
	[CoefBPFI4] [float] NOT NULL,
	[TreeOrder] [int] NOT NULL,
	[FlagByte] [tinyint] NOT NULL,
	[FlagLogic] [bit] NOT NULL,
	[FlagKey] [nvarchar](255) NOT NULL,
	[FlagLong] [int] NOT NULL,
	[FlagAlarm] [tinyint] NOT NULL,
 CONSTRAINT [PK_Point] PRIMARY KEY NONCLUSTERED 
(
	[PointID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [VmiIndex]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[Point]  WITH CHECK ADD  CONSTRAINT [FK_Point_Machine] FOREIGN KEY([MachineID])
REFERENCES [dbo].[Machine] ([MachineID])
GO

ALTER TABLE [dbo].[Point] CHECK CONSTRAINT [FK_Point_Machine]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_MachineID]  DEFAULT ((0)) FOR [MachineID]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_Name]  DEFAULT ((0)) FOR [Name]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_lblPointSpeed]  DEFAULT ('Speed') FOR [lblPointSpeed]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_Z1]  DEFAULT ((0)) FOR [Z1]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_LBLZ1]  DEFAULT ('GM') FOR [LBLZ1]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_Z2ID]  DEFAULT ((0)) FOR [Z2ID]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_PointSpeedCoef]  DEFAULT ((1)) FOR [PointSpeedCoef]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_PointSpeedRef]  DEFAULT ((0)) FOR [PointSpeedRef]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_BearProducer1]  DEFAULT ((0)) FOR [BearProducer1]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_BearType1]  DEFAULT ((0)) FOR [BearType1]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_BearInner1]  DEFAULT ((1)) FOR [BearInner1]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_CoefFTF1]  DEFAULT ((0)) FOR [CoefFTF1]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_CoefBSF1]  DEFAULT ((0)) FOR [CoefBSF1]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_CoefBPFO1]  DEFAULT ((0)) FOR [CoefBPFO1]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_CoefBPFI1]  DEFAULT ((0)) FOR [CoefBPFI1]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_BearProducer2]  DEFAULT ((0)) FOR [BearProducer2]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_BearType2]  DEFAULT ((0)) FOR [BearType2]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_BearInner2]  DEFAULT ((1)) FOR [BearInner2]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_CoefFTF2]  DEFAULT ((0)) FOR [CoefFTF2]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_CoefBSF2]  DEFAULT ((0)) FOR [CoefBSF2]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_CoefBPFO2]  DEFAULT ((0)) FOR [CoefBPFO2]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_CoefBPFI2]  DEFAULT ((0)) FOR [CoefBPFI2]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_BearProducer3]  DEFAULT ((0)) FOR [BearProducer3]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_BearType3]  DEFAULT ((0)) FOR [BearType3]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_BearInner3]  DEFAULT ((1)) FOR [BearInner3]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_CoefFTF3]  DEFAULT ((0)) FOR [CoefFTF3]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_CoefBSF3]  DEFAULT ((0)) FOR [CoefBSF3]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_CoefBPFO3]  DEFAULT ((0)) FOR [CoefBPFO3]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_CoefBPFI3]  DEFAULT ((0)) FOR [CoefBPFI3]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_BearProducer4]  DEFAULT ((0)) FOR [BearProducer4]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_BearType4]  DEFAULT ((0)) FOR [BearType4]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_BearInner4]  DEFAULT ((1)) FOR [BearInner4]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_CoefFTF4]  DEFAULT ((0)) FOR [CoefFTF4]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_CoefBSF4]  DEFAULT ((0)) FOR [CoefBSF4]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_CoefBPFO4]  DEFAULT ((0)) FOR [CoefBPFO4]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_CoefBPFI4]  DEFAULT ((0)) FOR [CoefBPFI4]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_TreeOrder]  DEFAULT ((2147480000)) FOR [TreeOrder]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_FlagByte]  DEFAULT ((0)) FOR [FlagByte]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_FlagLOGIC]  DEFAULT ((0)) FOR [FlagLogic]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_FlagKey]  DEFAULT ((0)) FOR [FlagKey]
GO

ALTER TABLE [dbo].[Point] ADD  CONSTRAINT [DF_Point_FlagLong]  DEFAULT ((0)) FOR [FlagLong]
GO

ALTER TABLE [dbo].[Point] ADD  DEFAULT ((0)) FOR [FlagAlarm]
GO

